# -*- coding: utf-8 -*-

import time

# print-on-printer --client=10.200.7.60 --domain four.three --user Administrator --password univention --printername printer3  --server 10.200.7.51 --impersonate --run-as-user test1

name = 'print-on-printer'
description = 'print via a network printer'
args = dict(
	printername=dict(help='name of the printer', required=True),
	server=dict(help='host server', required=True),
)
ps = '''
"Hello, World" | Out-Printer -Name \\\\%(server)s\\%(printername)s
'''


def post(winrm):
	# give cups some time to print
	time.sleep(20)
